> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/browser-plugins/idle.md).

# Idle (ref)

(part of package '[Idle Web Service](/reference/servoyextensions/packages/browser-plugin-packages/idle-web-service.md)')

You can access it in code via: **plugins.svyIdle**

A simple web service for checking if a user is idle or if the browser window is no longer active.

## Properties

## API

### onIdle(onIdle,onActive,onHide,onShow,events,idle,keepTracking,startAtIdle,recurIdleCall)

Setup Idle options and callbacks

**Parameters:**

> * {[Function](/reference/servoy-developer/component_and_service_property_types.md#function)} onIdle Triggers when user is idle
> * {[Function](/reference/servoy-developer/component_and_service_property_types.md#function)} onActive Triggers when user is active
> * {[Function](/reference/servoy-developer/component_and_service_property_types.md#function)} onHide Triggers when window is hidden
> * {[Function](/reference/servoy-developer/component_and_service_property_types.md#function)} onShow Triggers when window is shown
> * {[String](/reference/servoycore/dev-api/js-lib/string.md)} events String of events that will reset idle time (default : 'mousemove keydown mousedown touchstart')
> * {[Number](/reference/servoycore/dev-api/js-lib/number.md)} idle Idle time in ms, default: 60000
> * {[Boolean](/reference/servoycore/dev-api/js-lib/boolean.md)} keepTracking Set to false if we only want to track the first time (true by default)
> * {[Boolean](/reference/servoycore/dev-api/js-lib/boolean.md)} startAtIdle If you want to start at idle, set to true
> * {[Boolean](/reference/servoycore/dev-api/js-lib/boolean.md)} recurIdleCall Use setInterval versus timeout, by default uses setTimeout

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/browser-plugins/idle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
